VTK: vtkTexture Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkTexture Class Reference

handles properties associated with a texture map More...

`#include <vtkTexture.h>`

Inheritance diagram for vtkTexture:
[legend]
Collaboration diagram for vtkTexture:
[legend]

## Public Types
enum | VTKTextureBlendingMode { VTK_TEXTURE_BLENDING_MODE_NONE = 0 , VTK_TEXTURE_BLENDING_MODE_REPLACE , VTK_TEXTURE_BLENDING_MODE_MODULATE , VTK_TEXTURE_BLENDING_MODE_ADD , VTK_TEXTURE_BLENDING_MODE_ADD_SIGNED , VTK_TEXTURE_BLENDING_MODE_INTERPOLATE , VTK_TEXTURE_BLENDING_MODE_SUBTRACT }
| Used to specify how the texture will blend its RGB and Alpha values with other textures and the fragment the texture is rendered upon. More...
enum | { ClampToEdge = 0 , Repeat , MirroredRepeat , ClampToBorder , NumberOfWrapModes }
typedef vtkImageAlgorithm | Superclass
Public Types inherited from vtkImageAlgorithm
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkTexture * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Render (vtkRenderer *ren)
| Renders a texture map. More...
virtual void | PostRender (vtkRenderer *)
| Cleans up after the texture rendering to restore the state of the graphics context. More...
virtual void | ReleaseGraphicsResources (vtkWindow *)
| Release any graphics resources that are being consumed by this texture. More...
virtual void | Load (vtkRenderer *)
| Abstract interface to renderer. More...
vtkImageData * | GetInput ()
| Get the input as a vtkImageData object. More...
unsigned char * | MapScalarsToColors (vtkDataArray *scalars)
| Map scalar values into color scalars. More...
virtual int | IsTranslucent ()
| Is this Texture Translucent? returns false (0) if the texture is either fully opaque or has only fully transparent pixels and fully opaque pixels and the Interpolate flag is turn off. More...
virtual int | GetTextureUnit ()
| Return the texture unit used for this texture. More...
virtual vtkTypeBool | GetInterpolate ()
| Turn on/off linear interpolation of the texture map when rendering. More...
virtual void | SetInterpolate (vtkTypeBool)
| Turn on/off linear interpolation of the texture map when rendering. More...
virtual void | InterpolateOn ()
| Turn on/off linear interpolation of the texture map when rendering. More...
virtual void | InterpolateOff ()
| Turn on/off linear interpolation of the texture map when rendering. More...
virtual bool | GetMipmap ()
| Turn on/off use of mipmaps when rendering. More...
virtual void | SetMipmap (bool)
| Turn on/off use of mipmaps when rendering. More...
virtual void | MipmapOn ()
| Turn on/off use of mipmaps when rendering. More...
virtual void | MipmapOff ()
| Turn on/off use of mipmaps when rendering. More...
virtual void | SetMaximumAnisotropicFiltering (float)
| Set/Get the maximum anisotropic filtering to use. More...
virtual float | GetMaximumAnisotropicFiltering ()
| Set/Get the maximum anisotropic filtering to use. More...
virtual void | SetQuality (int)
| Force texture quality to 16-bit or 32-bit. More...
virtual int | GetQuality ()
| Force texture quality to 16-bit or 32-bit. More...
void | SetQualityToDefault ()
| Force texture quality to 16-bit or 32-bit. More...
void | SetQualityTo16Bit ()
| Force texture quality to 16-bit or 32-bit. More...
void | SetQualityTo32Bit ()
| Force texture quality to 16-bit or 32-bit. More...
virtual void | SetColorMode (int)
| Default: ColorModeToDefault. More...
virtual int | GetColorMode ()
| Default: ColorModeToDefault. More...
void | SetColorModeToDefault ()
| Default: ColorModeToDefault. More...
void | SetColorModeToMapScalars ()
| Default: ColorModeToDefault. More...
void | SetColorModeToDirectScalars ()
| Default: ColorModeToDefault. More...
void | SetLookupTable (vtkScalarsToColors *)
| Specify the lookup table to convert scalars if necessary. More...
virtual vtkScalarsToColors * | GetLookupTable ()
| Specify the lookup table to convert scalars if necessary. More...
virtual vtkUnsignedCharArray * | GetMappedScalars ()
| Get Mapped Scalars. More...
void | SetTransform (vtkTransform *transform)
| Set a transform on the texture which allows one to scale, rotate and translate the texture. More...
virtual vtkTransform * | GetTransform ()
| Set a transform on the texture which allows one to scale, rotate and translate the texture. More...
virtual int | GetBlendingMode ()
| Used to specify how the texture will blend its RGB and Alpha values with other textures and the fragment the texture is rendered upon. More...
virtual void | SetBlendingMode (int)
| Used to specify how the texture will blend its RGB and Alpha values with other textures and the fragment the texture is rendered upon. More...
virtual bool | GetPremultipliedAlpha ()
| Whether the texture colors are premultiplied by alpha. More...
virtual void | SetPremultipliedAlpha (bool)
| Whether the texture colors are premultiplied by alpha. More...
virtual void | PremultipliedAlphaOn ()
| Whether the texture colors are premultiplied by alpha. More...
virtual void | PremultipliedAlphaOff ()
| Whether the texture colors are premultiplied by alpha. More...
virtual vtkTypeBool | GetRestrictPowerOf2ImageSmaller ()
| When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original. More...
virtual void | SetRestrictPowerOf2ImageSmaller (vtkTypeBool)
| When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original. More...
virtual void | RestrictPowerOf2ImageSmallerOn ()
| When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original. More...
virtual void | RestrictPowerOf2ImageSmallerOff ()
| When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original. More...
virtual bool | GetCubeMap ()
| Is this texture a cube map, if so it needs 6 inputs one for each side of the cube. More...
virtual void | CubeMapOn ()
| Is this texture a cube map, if so it needs 6 inputs one for each side of the cube. More...
virtual void | CubeMapOff ()
| Is this texture a cube map, if so it needs 6 inputs one for each side of the cube. More...
void | SetCubeMap (bool val)
| Is this texture a cube map, if so it needs 6 inputs one for each side of the cube. More...
virtual bool | GetUseSRGBColorSpace ()
| Is this texture using the sRGB color space. More...
virtual void | SetUseSRGBColorSpace (bool)
| Is this texture using the sRGB color space. More...
virtual void | UseSRGBColorSpaceOn ()
| Is this texture using the sRGB color space. More...
virtual void | UseSRGBColorSpaceOff ()
| Is this texture using the sRGB color space. More...
virtual void | SetBorderColor (float, float, float, float)
| Border Color (RGBA). More...
virtual void | SetBorderColor (float[4])
| Border Color (RGBA). More...
virtual float * | GetBorderColor ()
| Border Color (RGBA). More...
virtual void | GetBorderColor (float &, float &, float &, float &)
| Border Color (RGBA). More...
virtual void | GetBorderColor (float[4])
| Border Color (RGBA). More...
virtual int | GetWrap ()
| Wrap mode for the texture coordinates Valid values are: More...
virtual void | SetWrap (int)
| Wrap mode for the texture coordinates Valid values are: More...
virtual void | SetRepeat (vtkTypeBool r)
| Convenience functions to maintain backwards compatibility. More...
virtual vtkTypeBool | GetRepeat ()
| Convenience functions to maintain backwards compatibility. More...
virtual void | RepeatOn ()
| Convenience functions to maintain backwards compatibility. More...
virtual void | RepeatOff ()
| Convenience functions to maintain backwards compatibility. More...
virtual void | SetEdgeClamp (vtkTypeBool)
| Convenience functions to maintain backwards compatibility. More...
virtual vtkTypeBool | GetEdgeClamp ()
| Convenience functions to maintain backwards compatibility. More...
virtual void | EdgeClampOn ()
| Convenience functions to maintain backwards compatibility. More...
virtual void | EdgeClampOff ()
| Convenience functions to maintain backwards compatibility. More...
Public Member Functions inherited from vtkImageAlgorithm
vtkImageAlgorithm * | NewInstance () const
vtkTypeBool | ProcessRequest (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
| Process a request from the executive. More...
vtkImageData * | GetOutput ()
| Get the output data object for a port on this algorithm. More...
vtkImageData * | GetOutput (int)
| Get the output data object for a port on this algorithm. More...
virtual void | SetOutput (vtkDataObject *d)
| Get the output data object for a port on this algorithm. More...
void | SetInputData (vtkDataObject *)
| Assign a data object as input. More...
void | SetInputData (int, vtkDataObject *)
| Assign a data object as input. More...
vtkDataObject * | GetInput (int port)
| Get a data object for one of the input port connections. More...
vtkDataObject * | GetInput ()
| Get a data object for one of the input port connections. More...
vtkImageData * | GetImageDataInput (int port)
| Get a data object for one of the input port connections. More...
virtual void | AddInputData (vtkDataObject *)
| Assign a data object as input. More...
virtual void | AddInputData (int, vtkDataObject *)
| Assign a data object as input. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkTexture * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkTexture * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkImageAlgorithm
static vtkTypeBool | IsTypeOf (const char *type)
static vtkImageAlgorithm * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkTexture ()
| ~vtkTexture () override
void | ExecuteData (vtkDataObject *) override
| This method is the old style execute method, provided for the sake of backwards compatibility with older filters and readers. More...
Protected Member Functions inherited from vtkImageAlgorithm
| vtkImageAlgorithm ()
| ~vtkImageAlgorithm () override
virtual int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| Subclasses can reimplement this method to collect information from their inputs and set information for their outputs. More...
virtual int | RequestUpdateExtent (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
| Subclasses can reimplement this method to translate the update extent requests from each output port into update extent requests for the input connections. More...
virtual void | CopyInputArrayAttributesToOutput (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| Convenience method to copy the scalar type and number of components from the input data to the output data. More...
virtual int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
| This is called in response to a REQUEST_DATA request from the executive. More...
virtual void | ExecuteDataWithInformation (vtkDataObject *output, vtkInformation *outInfo)
| This is a convenience method that is implemented in many subclasses instead of RequestData. More...
virtual void | CopyAttributeData (vtkImageData *in, vtkImageData *out, vtkInformationVector **inputVector)
| Copy the other point and cell data. More...
virtual void | Execute ()
| This method is the old style execute method, provided for the sake of backwards compatibility with older filters and readers. More...
virtual void | AllocateOutputData (vtkImageData *out, vtkInformation *outInfo, int *uExtent)
| Allocate the output data. More...
virtual vtkImageData * | AllocateOutputData (vtkDataObject *out, vtkInformation *outInfo)
| Allocate the output data. More...
int | FillOutputPortInformation (int port, vtkInformation *info) override
| These method should be reimplemented by subclasses that have more than a single input or single output. More...
int | FillInputPortInformation (int port, vtkInformation *info) override
| These method should be reimplemented by subclasses that have more than a single input or single output. More...
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
bool | Mipmap
float | MaximumAnisotropicFiltering
int | Wrap
float | BorderColor [4]
vtkTypeBool | Interpolate
int | Quality
int | ColorMode
vtkScalarsToColors * | LookupTable
vtkUnsignedCharArray * | MappedScalars
vtkTransform * | Transform
int | BlendingMode
vtkTypeBool | RestrictPowerOf2ImageSmaller
int | SelfAdjustingTableRange
bool | PremultipliedAlpha
bool | CubeMap
bool | UseSRGBColorSpace
vtkTimeStamp | TranslucentComputationTime
int | TranslucentCachedResult
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

handles properties associated with a texture map

vtkTexture is an image algorithm that handles loading and binding of texture maps. It obtains its data from an input image data dataset type. Thus you can create visualization pipelines to read, process, and construct textures. Note that textures will only work if texture coordinates are also defined, and if the rendering system supports texture.

Instances of vtkTexture are associated with actors via the actor's SetTexture() method. Actors can share texture maps (this is encouraged to save memory resources.)

Warning
  Currently only 2D texture maps are supported, even though the data pipeline supports 1,2, and 3D texture coordinates.
  Some renderers such as old OpenGL require that the texture map dimensions are a power of two in each direction. If a non-power of two texture map is used, it is automatically resampled to a power of two in one or more directions, at the cost of an expensive computation. If the OpenGL implementation is recent enough (OpenGL>=2.0 or extension GL_ARB_texture_non_power_of_two exists) there is no such restriction and no extra computational cost.

See also
  vtkActor vtkRenderer vtkOpenGLTexture

Online Examples:

Tests:
  vtkTexture (Tests)

Definition at line 66 of file vtkTexture.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkImageAlgorithm vtkTexture::Superclass

Definition at line 70 of file vtkTexture.h.

## Member Enumeration Documentation

## ◆ VTKTextureBlendingMode

enum vtkTexture::VTKTextureBlendingMode

Used to specify how the texture will blend its RGB and Alpha values with other textures and the fragment the texture is rendered upon.

Enumerator
VTK_TEXTURE_BLENDING_MODE_NONE |
VTK_TEXTURE_BLENDING_MODE_REPLACE |
VTK_TEXTURE_BLENDING_MODE_MODULATE |
VTK_TEXTURE_BLENDING_MODE_ADD |
VTK_TEXTURE_BLENDING_MODE_ADD_SIGNED |
VTK_TEXTURE_BLENDING_MODE_INTERPOLATE |
VTK_TEXTURE_BLENDING_MODE_SUBTRACT |

Definition at line 198 of file vtkTexture.h.

## ◆ anonymous enum

anonymous enum

Enumerator
ClampToEdge |
Repeat |
MirroredRepeat |
ClampToBorder |
NumberOfWrapModes |

Definition at line 291 of file vtkTexture.h.

## Constructor & Destructor Documentation

## ◆ vtkTexture()

vtkTexture::vtkTexture | ( |  | ) |
| protected

## ◆ ~vtkTexture()

vtkTexture::~vtkTexture | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTexture* vtkTexture::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkTexture::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkTexture::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkImageAlgorithm.

Reimplemented in vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, and vtkEquirectangularToCubeMapTexture.

## ◆ SafeDownCast()

static vtkTexture* vtkTexture::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkTexture::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkImageAlgorithm.

Reimplemented in vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, and vtkEquirectangularToCubeMapTexture.

## ◆ NewInstance()

vtkTexture* vtkTexture::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkImageAlgorithm.

Reimplemented in vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, and vtkEquirectangularToCubeMapTexture.

## ◆ Render()

virtual void vtkTexture::Render | ( | vtkRenderer * | ren | ) |
| virtual

Renders a texture map.

It first checks the object's modified time to make sure the texture maps Input is valid, then it invokes the Load() method.

Reimplemented in vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, and vtkEquirectangularToCubeMapTexture.

## ◆ PostRender()

virtual void vtkTexture::PostRender | ( | vtkRenderer * |  | ) |
| inlinevirtual

Cleans up after the texture rendering to restore the state of the graphics context.

Reimplemented in vtkOpenGLTexture.

Definition at line 84 of file vtkTexture.h.

## ◆ ReleaseGraphicsResources()

virtual void vtkTexture::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| inlinevirtual

Release any graphics resources that are being consumed by this texture.

The parameter window could be used to determine which graphic resources to release.

Reimplemented in vtkPBRPrefilterTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, and vtkEquirectangularToCubeMapTexture.

Definition at line 91 of file vtkTexture.h.

## ◆ Load()

virtual void vtkTexture::Load | ( | vtkRenderer * |  | ) |
| inlinevirtual

Abstract interface to renderer.

Each concrete subclass of vtkTexture will load its data into graphics system in response to this method invocation.

Reimplemented in vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, and vtkEquirectangularToCubeMapTexture.

Definition at line 98 of file vtkTexture.h.

## ◆ GetInterpolate()

virtual vtkTypeBool vtkTexture::GetInterpolate | ( |  | ) |
| virtual

Turn on/off linear interpolation of the texture map when rendering.

## ◆ SetInterpolate()

virtual void vtkTexture::SetInterpolate | ( | vtkTypeBool |  | ) |
| virtual

Turn on/off linear interpolation of the texture map when rendering.

## ◆ InterpolateOn()

virtual void vtkTexture::InterpolateOn | ( |  | ) |
| virtual

Turn on/off linear interpolation of the texture map when rendering.

## ◆ InterpolateOff()

virtual void vtkTexture::InterpolateOff | ( |  | ) |
| virtual

Turn on/off linear interpolation of the texture map when rendering.

## ◆ GetMipmap()

virtual bool vtkTexture::GetMipmap | ( |  | ) |
| virtual

Turn on/off use of mipmaps when rendering.

## ◆ SetMipmap()

virtual void vtkTexture::SetMipmap | ( | bool |  | ) |
| virtual

Turn on/off use of mipmaps when rendering.

## ◆ MipmapOn()

virtual void vtkTexture::MipmapOn | ( |  | ) |
| virtual

Turn on/off use of mipmaps when rendering.

## ◆ MipmapOff()

virtual void vtkTexture::MipmapOff | ( |  | ) |
| virtual

Turn on/off use of mipmaps when rendering.

## ◆ SetMaximumAnisotropicFiltering()

virtual void vtkTexture::SetMaximumAnisotropicFiltering | ( | float |  | ) |
| virtual

Set/Get the maximum anisotropic filtering to use.

1.0 means use no anisotropic filtering. The default value is 4.0 and a high value would be 16. This setting is only applied when mipmaps are used. This might not be supported on all machines.

## ◆ GetMaximumAnisotropicFiltering()

virtual float vtkTexture::GetMaximumAnisotropicFiltering | ( |  | ) |
| virtual

Set/Get the maximum anisotropic filtering to use.

1.0 means use no anisotropic filtering. The default value is 4.0 and a high value would be 16. This setting is only applied when mipmaps are used. This might not be supported on all machines.

## ◆ SetQuality()

virtual void vtkTexture::SetQuality | ( | int |  | ) |
| virtual

Force texture quality to 16-bit or 32-bit.

This might not be supported on all machines.

## ◆ GetQuality()

virtual int vtkTexture::GetQuality | ( |  | ) |
| virtual

Force texture quality to 16-bit or 32-bit.

This might not be supported on all machines.

## ◆ SetQualityToDefault()

void vtkTexture::SetQualityToDefault | ( |  | ) |
| inline

Force texture quality to 16-bit or 32-bit.

This might not be supported on all machines.

Definition at line 136 of file vtkTexture.h.

## ◆ SetQualityTo16Bit()

void vtkTexture::SetQualityTo16Bit | ( |  | ) |
| inline

Force texture quality to 16-bit or 32-bit.

This might not be supported on all machines.

Definition at line 137 of file vtkTexture.h.

## ◆ SetQualityTo32Bit()

void vtkTexture::SetQualityTo32Bit | ( |  | ) |
| inline

Force texture quality to 16-bit or 32-bit.

This might not be supported on all machines.

Definition at line 138 of file vtkTexture.h.

## ◆ SetColorMode()

virtual void vtkTexture::SetColorMode | ( | int |  | ) |
| virtual

Default: ColorModeToDefault.

unsigned char scalars are treated as colors, and NOT mapped through the lookup table (set with SetLookupTable), while other kinds of scalars are. ColorModeToDirectScalar extends ColorModeToDefault such that all integer types are treated as colors with values in the range 0-255 and floating types are treated as colors with values in the range 0.0-1.0. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table.

## ◆ GetColorMode()

virtual int vtkTexture::GetColorMode | ( |  | ) |
| virtual

Default: ColorModeToDefault.

unsigned char scalars are treated as colors, and NOT mapped through the lookup table (set with SetLookupTable), while other kinds of scalars are. ColorModeToDirectScalar extends ColorModeToDefault such that all integer types are treated as colors with values in the range 0-255 and floating types are treated as colors with values in the range 0.0-1.0. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table.

## ◆ SetColorModeToDefault()

void vtkTexture::SetColorModeToDefault | ( |  | ) |
| inline

Default: ColorModeToDefault.

unsigned char scalars are treated as colors, and NOT mapped through the lookup table (set with SetLookupTable), while other kinds of scalars are. ColorModeToDirectScalar extends ColorModeToDefault such that all integer types are treated as colors with values in the range 0-255 and floating types are treated as colors with values in the range 0.0-1.0. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table.

Definition at line 154 of file vtkTexture.h.

## ◆ SetColorModeToMapScalars()

void vtkTexture::SetColorModeToMapScalars | ( |  | ) |
| inline

Default: ColorModeToDefault.

unsigned char scalars are treated as colors, and NOT mapped through the lookup table (set with SetLookupTable), while other kinds of scalars are. ColorModeToDirectScalar extends ColorModeToDefault such that all integer types are treated as colors with values in the range 0-255 and floating types are treated as colors with values in the range 0.0-1.0. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table.

Definition at line 155 of file vtkTexture.h.

## ◆ SetColorModeToDirectScalars()

void vtkTexture::SetColorModeToDirectScalars | ( |  | ) |
| inline

Default: ColorModeToDefault.

unsigned char scalars are treated as colors, and NOT mapped through the lookup table (set with SetLookupTable), while other kinds of scalars are. ColorModeToDirectScalar extends ColorModeToDefault such that all integer types are treated as colors with values in the range 0-255 and floating types are treated as colors with values in the range 0.0-1.0. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table.

Definition at line 156 of file vtkTexture.h.

## ◆ GetInput()

vtkImageData* vtkTexture::GetInput | ( |  | ) |

Get the input as a vtkImageData object.

This method is for backwards compatibility.

## ◆ SetLookupTable()

void vtkTexture::SetLookupTable | ( | vtkScalarsToColors * |  | ) |

Specify the lookup table to convert scalars if necessary.

## ◆ GetLookupTable()

virtual vtkScalarsToColors* vtkTexture::GetLookupTable | ( |  | ) |
| virtual

Specify the lookup table to convert scalars if necessary.

## ◆ GetMappedScalars()

virtual vtkUnsignedCharArray* vtkTexture::GetMappedScalars | ( |  | ) |
| virtual

Get Mapped Scalars.

## ◆ MapScalarsToColors()

unsigned char* vtkTexture::MapScalarsToColors | ( | vtkDataArray * | scalars | ) |

Map scalar values into color scalars.

## ◆ SetTransform()

void vtkTexture::SetTransform | ( | vtkTransform * | transform | ) |

Set a transform on the texture which allows one to scale, rotate and translate the texture.

## ◆ GetTransform()

virtual vtkTransform* vtkTexture::GetTransform | ( |  | ) |
| virtual

Set a transform on the texture which allows one to scale, rotate and translate the texture.

## ◆ GetBlendingMode()

virtual int vtkTexture::GetBlendingMode | ( |  | ) |
| virtual

Used to specify how the texture will blend its RGB and Alpha values with other textures and the fragment the texture is rendered upon.

## ◆ SetBlendingMode()

virtual void vtkTexture::SetBlendingMode | ( | int |  | ) |
| virtual

Used to specify how the texture will blend its RGB and Alpha values with other textures and the fragment the texture is rendered upon.

## ◆ GetPremultipliedAlpha()

virtual bool vtkTexture::GetPremultipliedAlpha | ( |  | ) |
| virtual

Whether the texture colors are premultiplied by alpha.

Initial value is false.

## ◆ SetPremultipliedAlpha()

virtual void vtkTexture::SetPremultipliedAlpha | ( | bool |  | ) |
| virtual

Whether the texture colors are premultiplied by alpha.

Initial value is false.

## ◆ PremultipliedAlphaOn()

virtual void vtkTexture::PremultipliedAlphaOn | ( |  | ) |
| virtual

Whether the texture colors are premultiplied by alpha.

Initial value is false.

## ◆ PremultipliedAlphaOff()

virtual void vtkTexture::PremultipliedAlphaOff | ( |  | ) |
| virtual

Whether the texture colors are premultiplied by alpha.

Initial value is false.

## ◆ GetRestrictPowerOf2ImageSmaller()

virtual vtkTypeBool vtkTexture::GetRestrictPowerOf2ImageSmaller | ( |  | ) |
| virtual

When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original.

Setting RestrictPowerOf2ImageSmaller to be 1 (or ON) with force the new image's dimensions to be less than or equal to with respects to the original.

## ◆ SetRestrictPowerOf2ImageSmaller()

virtual void vtkTexture::SetRestrictPowerOf2ImageSmaller | ( | vtkTypeBool |  | ) |
| virtual

When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original.

Setting RestrictPowerOf2ImageSmaller to be 1 (or ON) with force the new image's dimensions to be less than or equal to with respects to the original.

## ◆ RestrictPowerOf2ImageSmallerOn()

virtual void vtkTexture::RestrictPowerOf2ImageSmallerOn | ( |  | ) |
| virtual

When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original.

Setting RestrictPowerOf2ImageSmaller to be 1 (or ON) with force the new image's dimensions to be less than or equal to with respects to the original.

## ◆ RestrictPowerOf2ImageSmallerOff()

virtual void vtkTexture::RestrictPowerOf2ImageSmallerOff | ( |  | ) |
| virtual

When the texture is forced to be a power of 2, the default behavior is for the "new" image's dimensions to be greater than or equal to with respects to the original.

Setting RestrictPowerOf2ImageSmaller to be 1 (or ON) with force the new image's dimensions to be less than or equal to with respects to the original.

## ◆ IsTranslucent()

virtual int vtkTexture::IsTranslucent | ( |  | ) |
| virtual

Is this Texture Translucent? returns false (0) if the texture is either fully opaque or has only fully transparent pixels and fully opaque pixels and the Interpolate flag is turn off.

Reimplemented in vtkOpenGLTexture.

## ◆ GetTextureUnit()

virtual int vtkTexture::GetTextureUnit | ( |  | ) |
| inlinevirtual

Return the texture unit used for this texture.

Reimplemented in vtkOpenGLTexture.

Definition at line 252 of file vtkTexture.h.

## ◆ GetCubeMap()

virtual bool vtkTexture::GetCubeMap | ( |  | ) |
| virtual

Is this texture a cube map, if so it needs 6 inputs one for each side of the cube.

You must set this before connecting the inputs. The inputs must all have the same size, data type, and depth

## ◆ CubeMapOn()

virtual void vtkTexture::CubeMapOn | ( |  | ) |
| virtual

Is this texture a cube map, if so it needs 6 inputs one for each side of the cube.

You must set this before connecting the inputs. The inputs must all have the same size, data type, and depth

## ◆ CubeMapOff()

virtual void vtkTexture::CubeMapOff | ( |  | ) |
| virtual

Is this texture a cube map, if so it needs 6 inputs one for each side of the cube.

You must set this before connecting the inputs. The inputs must all have the same size, data type, and depth

## ◆ SetCubeMap()

void vtkTexture::SetCubeMap | ( | bool | val | ) |

Is this texture a cube map, if so it needs 6 inputs one for each side of the cube.

You must set this before connecting the inputs. The inputs must all have the same size, data type, and depth

## ◆ GetUseSRGBColorSpace()

virtual bool vtkTexture::GetUseSRGBColorSpace | ( |  | ) |
| virtual

Is this texture using the sRGB color space.

If you are using a sRGB framebuffer or window then you probably also want to be using sRGB color textures for proper handling of gamma and associated color mixing.

## ◆ SetUseSRGBColorSpace()

virtual void vtkTexture::SetUseSRGBColorSpace | ( | bool |  | ) |
| virtual

Is this texture using the sRGB color space.

If you are using a sRGB framebuffer or window then you probably also want to be using sRGB color textures for proper handling of gamma and associated color mixing.

## ◆ UseSRGBColorSpaceOn()

virtual void vtkTexture::UseSRGBColorSpaceOn | ( |  | ) |
| virtual

Is this texture using the sRGB color space.

If you are using a sRGB framebuffer or window then you probably also want to be using sRGB color textures for proper handling of gamma and associated color mixing.

## ◆ UseSRGBColorSpaceOff()

virtual void vtkTexture::UseSRGBColorSpaceOff | ( |  | ) |
| virtual

Is this texture using the sRGB color space.

If you are using a sRGB framebuffer or window then you probably also want to be using sRGB color textures for proper handling of gamma and associated color mixing.

## ◆ SetBorderColor() [1/2]

virtual void vtkTexture::SetBorderColor | ( | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) |  |
| virtual

Border Color (RGBA).

The values can be any valid float value, if the gpu supports it. Initial value is (0.0f, 0.0f, 0.0f, 0.0f), as in the OpenGL spec.

Note
  This property is ignored for OpenGL ES <= 3.2

## ◆ SetBorderColor() [2/2]

virtual void vtkTexture::SetBorderColor | ( | float | [4] | ) |
| virtual

Border Color (RGBA).

The values can be any valid float value, if the gpu supports it. Initial value is (0.0f, 0.0f, 0.0f, 0.0f), as in the OpenGL spec.

Note
  This property is ignored for OpenGL ES <= 3.2

## ◆ GetBorderColor() [1/3]

virtual float* vtkTexture::GetBorderColor | ( |  | ) |
| virtual

Border Color (RGBA).

The values can be any valid float value, if the gpu supports it. Initial value is (0.0f, 0.0f, 0.0f, 0.0f), as in the OpenGL spec.

Note
  This property is ignored for OpenGL ES <= 3.2

## ◆ GetBorderColor() [2/3]

virtual void vtkTexture::GetBorderColor | ( | float & | ,
|  | float & | ,
|  | float & | ,
|  | float & |
| ) |  |
| virtual

Border Color (RGBA).

The values can be any valid float value, if the gpu supports it. Initial value is (0.0f, 0.0f, 0.0f, 0.0f), as in the OpenGL spec.

Note
  This property is ignored for OpenGL ES <= 3.2

## ◆ GetBorderColor() [3/3]

virtual void vtkTexture::GetBorderColor | ( | float | [4] | ) |
| virtual

Border Color (RGBA).

The values can be any valid float value, if the gpu supports it. Initial value is (0.0f, 0.0f, 0.0f, 0.0f), as in the OpenGL spec.

Note
  This property is ignored for OpenGL ES <= 3.2

## ◆ GetWrap()

virtual int vtkTexture::GetWrap | ( |  | ) |
| virtual

Wrap mode for the texture coordinates Valid values are:

- ClampToEdge
- Repeat
- MirroredRepeat
- ClampToBorder Initial value is Repeat (as in OpenGL spec)

Note
  ClampToBorder is not supported with OpenGL ES <= 3.2. Wrap will default to ClampToEdge if it is set to ClampToBorder in this case.

## ◆ SetWrap()

virtual void vtkTexture::SetWrap | ( | int |  | ) |
| virtual

Wrap mode for the texture coordinates Valid values are:

- ClampToEdge
- Repeat
- MirroredRepeat
- ClampToBorder Initial value is Repeat (as in OpenGL spec)

Note
  ClampToBorder is not supported with OpenGL ES <= 3.2. Wrap will default to ClampToEdge if it is set to ClampToBorder in this case.

## ◆ SetRepeat()

virtual void vtkTexture::SetRepeat | ( | vtkTypeBool | r | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 323 of file vtkTexture.h.

## ◆ GetRepeat()

virtual vtkTypeBool vtkTexture::GetRepeat | ( |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 324 of file vtkTexture.h.

## ◆ RepeatOn()

virtual void vtkTexture::RepeatOn | ( |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 325 of file vtkTexture.h.

## ◆ RepeatOff()

virtual void vtkTexture::RepeatOff | ( |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 326 of file vtkTexture.h.

## ◆ SetEdgeClamp()

virtual void vtkTexture::SetEdgeClamp | ( | vtkTypeBool |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 327 of file vtkTexture.h.

## ◆ GetEdgeClamp()

virtual vtkTypeBool vtkTexture::GetEdgeClamp | ( |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 330 of file vtkTexture.h.

## ◆ EdgeClampOn()

virtual void vtkTexture::EdgeClampOn | ( |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 331 of file vtkTexture.h.

## ◆ EdgeClampOff()

virtual void vtkTexture::EdgeClampOff | ( |  | ) |
| inlinevirtual

Convenience functions to maintain backwards compatibility.

For new code, use the SetWrap API.

Definition at line 332 of file vtkTexture.h.

## ◆ ExecuteData()

void vtkTexture::ExecuteData | ( | vtkDataObject * | output | ) |
| inlineoverrideprotectedvirtual

This method is the old style execute method, provided for the sake of backwards compatibility with older filters and readers.

Reimplemented from vtkImageAlgorithm.

Definition at line 341 of file vtkTexture.h.

## Member Data Documentation

## ◆ Mipmap

bool vtkTexture::Mipmap
| protected

Definition at line 343 of file vtkTexture.h.

## ◆ MaximumAnisotropicFiltering

float vtkTexture::MaximumAnisotropicFiltering
| protected

Definition at line 344 of file vtkTexture.h.

## ◆ Wrap

int vtkTexture::Wrap
| protected

Definition at line 345 of file vtkTexture.h.

## ◆ BorderColor

float vtkTexture::BorderColor[4]
| protected

Definition at line 346 of file vtkTexture.h.

## ◆ Interpolate

vtkTypeBool vtkTexture::Interpolate
| protected

Definition at line 347 of file vtkTexture.h.

## ◆ Quality

int vtkTexture::Quality
| protected

Definition at line 348 of file vtkTexture.h.

## ◆ ColorMode

int vtkTexture::ColorMode
| protected

Definition at line 349 of file vtkTexture.h.

## ◆ LookupTable

vtkScalarsToColors* vtkTexture::LookupTable
| protected

Definition at line 350 of file vtkTexture.h.

## ◆ MappedScalars

vtkUnsignedCharArray* vtkTexture::MappedScalars
| protected

Definition at line 351 of file vtkTexture.h.

## ◆ Transform

vtkTransform* vtkTexture::Transform
| protected

Definition at line 352 of file vtkTexture.h.

## ◆ BlendingMode

int vtkTexture::BlendingMode
| protected

Definition at line 354 of file vtkTexture.h.

## ◆ RestrictPowerOf2ImageSmaller

vtkTypeBool vtkTexture::RestrictPowerOf2ImageSmaller
| protected

Definition at line 355 of file vtkTexture.h.

## ◆ SelfAdjustingTableRange

int vtkTexture::SelfAdjustingTableRange
| protected

Definition at line 357 of file vtkTexture.h.

## ◆ PremultipliedAlpha

bool vtkTexture::PremultipliedAlpha
| protected

Definition at line 358 of file vtkTexture.h.

## ◆ CubeMap

bool vtkTexture::CubeMap
| protected

Definition at line 359 of file vtkTexture.h.

## ◆ UseSRGBColorSpace

bool vtkTexture::UseSRGBColorSpace
| protected

Definition at line 360 of file vtkTexture.h.

## ◆ TranslucentComputationTime

vtkTimeStamp vtkTexture::TranslucentComputationTime
| protected

Definition at line 363 of file vtkTexture.h.

## ◆ TranslucentCachedResult

int vtkTexture::TranslucentCachedResult
| protected

Definition at line 364 of file vtkTexture.h.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkTexture.h